org.apache.cassandra.dht

## Interface RingPosition<C extends RingPosition<C>>

- All Superinterfaces:
    java.lang.Comparable<C>
  All Known Subinterfaces:
    PartitionPosition
  All Known Implementing Classes:
    BufferDecoratedKey, ByteOrderedPartitioner.BytesToken, CachedHashDecoratedKey, DecoratedKey, LocalPartitioner.LocalToken, Murmur3Partitioner.LongToken, NativeDecoratedKey, OrderPreservingPartitioner.StringToken, PreHashedDecoratedKey, RandomPartitioner.BigIntegerToken, Token, Token.KeyBound

      public interface RingPosition<C extends RingPosition<C>>
      extends java.lang.Comparable<C>

  Interface representing a position on the ring. Both Token and DecoratedKey represent a position in the ring, a token being less precise than a DecoratedKey (a token is really a range of keys).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IPartitioner` | `getPartitioner()`
    `Token` | `getToken()`
    `boolean` | `isMinimum()`
    `C` | `minValue()`

    - ### Methods inherited from interface java.lang.Comparable

      `compareTo`

- - ### Method Detail

    - #### getToken

          Token getToken()

    - #### getPartitioner

          IPartitioner getPartitioner()

    - #### isMinimum

          boolean isMinimum()

    - #### minValue

          C minValue()

Copyright © 2018 The Apache Software Foundation